Skip to content

Initiates workflow to reopen a fiscal period

Request

This method will initiate the fiscal period reopen process

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

fiscalYearIdstringrequired

The id of the fiscal year

fiscalPeriodintegerrequired

The fiscal period

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/fiscalYears/{tenantId}/reopen/{fiscalYearId}/{fiscalPeriod}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

An execution ARN to be used to monitor the fiscal period reopening process

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
executionArnstring(Executionarn)required

The arn of the execution

notification_channelstring(Notification Channel)

The id of the channel where progress updates will be posted

notification_publishKeystring(Notification Publishkey)

The publish key for the channel where progress updates will be posted

notification_subscribeKeystring(Notification Subscribekey)

The subscribe key for the channel where progress updates will be posted

start_datestring, (date-time)(Start Date)

The start date of the execution

Response
{ "executionArn": "string", "notification_channel": "string", "notification_publishKey": "string", "notification_subscribeKey": "string", "start_date": "2019-08-24T14:15:22Z" }